Name:           jsl
Version:        0.3.0
Release:        5%{?dist}
Summary:        Check JavaScript code for common mistakes

Group:          Development/Tools
License:        MPLv1.1
URL:            http://javascriptlint.com/
Source0:        http://javascriptlint.com/download/%{name}-%{version}-src.tar.gz
Patch0:         jsl-0.3.0-smash.patch
Patch1:         jsl-0.3.0-tests.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
With JavaScript Lint, you can check all your JavaScript source code for
common mistakes without actually running the script or opening the web page.

JavaScript Lint holds an advantage over competing lints because it is based
on the JavaScript engine for the Firefox browser. This provides a robust
framework that can not only check JavaScript syntax but also examine the
coding techniques used in the script and warn against questionable
practices.


%prep
%setup -q
%patch0 -p1 -b .smash
%patch1 -p1 -b .tests


%build
# Fix DOS-y EOL encoding and permissions
find . -type f |xargs sed -i 's/\r//' $FILES
find . -type f |xargs chmod 644 $FILES

# Dependencies dealt with poorly -- no _smp_mflags
make -C src -f Makefile.ref SHARED_LIBRARY= \
        OBJDIR=. JS_EDITLINE=1 XCFLAGS="%{optflags}" \
        OS_CFLAGS="-DXP_UNIX -DHAVE_VA_COPY -DVA_COPY=va_copy"


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install src/jsl $RPM_BUILD_ROOT%{_bindir}


%clean
rm -rf $RPM_BUILD_ROOT


%check
cd tests
perl run_tests.pl ../src/jsl


%files
%defattr(-,root,root,-)
%{_bindir}/jsl


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-1
- Initial packaging
